
Foreman - Bug #22833

delayed_plan 'CreateRssNotifications' is failing in 15sec intervals 

03/09/2018 12:37 PM - Lukas Pramuk

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1581311 Red Hat JIRA:  

Pull request:    

Description

Just install nightly and you'll get two periodically failing tasks

2018-03-09T04:56:37  [dynflow] [F] /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib

/dynflow/delayed_plan.rb:21:in `plan'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/delayed_executors/abstr

act_core.rb:54:in `block (2 levels) in process'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/delayed_executors/abstr

act_core.rb:39:in `with_error_handling'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/delayed_executors/abstr

act_core.rb:48:in `block in process'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/delayed_executors/abstr

act_core.rb:47:in `each'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/delayed_executors/abstr

act_core.rb:47:in `process'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/delayed_executors/polli

ng.rb:26:in `check_delayed_plans'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/actor.rb:6:in `on_messa

ge'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/co

ntext.rb:46:in `on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/executes_context.rb:7:in `on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/abstract.rb:25:in `pass'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.34/lib/dynflow/actor.rb:26:in `on_enve

lope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/abstract.rb:25:in `pass'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/awaits.rb:15:in `on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/abstract.rb:25:in `pass'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/sets_results.rb:14:in `on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/abstract.rb:25:in `pass'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/buffer.rb:38:in `process_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/buffer.rb:31:in `process_envelopes?'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/buffer.rb:20:in `on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/abstract.rb:25:in `pass'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/termination.rb:55:in `on_envelope'

05/20/2024 1/3



 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/abstract.rb:25:in `pass'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/removes_child.rb:10:in `on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/abstract.rb:25:in `pass'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/be

haviour/sets_results.rb:14:in `on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/co

re.rb:161:in `process_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/co

re.rb:95:in `block in on_envelope'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/co

re.rb:118:in `block (2 levels) in schedule_execution'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization

/mri_lockable_object.rb:38:in `block in synchronize'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization

/mri_lockable_object.rb:38:in `synchronize'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/synchronization

/mri_lockable_object.rb:38:in `synchronize'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.4/lib/concurrent/actor/co

re.rb:115:in `block in schedule_execution'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serial

ized_execution.rb:18:in `call'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serial

ized_execution.rb:96:in `work'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/serial

ized_execution.rb:77:in `block in call_job'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_t

hread_pool_executor.rb:348:in `run_task'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_t

hread_pool_executor.rb:337:in `block (3 levels) in create_worker'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_t

hread_pool_executor.rb:320:in `loop'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_t

hread_pool_executor.rb:320:in `block (2 levels) in create_worker'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_t

hread_pool_executor.rb:319:in `catch'

 | /opt/rh/tfm-ror51/root/usr/share/gems/gems/concurrent-ruby-1.0.5/lib/concurrent/executor/ruby_t

hread_pool_executor.rb:319:in `block in create_worker'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:47

4:in `block in create_with_logging_context'

Related issues:

Related to Foreman - Bug #23611: ApplicationJob starts when foreman_tasks doe... Closed 05/16/2018

History

#1 - 03/09/2018 12:39 PM - Lukas Pramuk

Oops forgot to preformat

EDIT: preformated the original comment

#2 - 03/12/2018 08:22 AM - Marek Hulán

- Description updated

#3 - 03/13/2018 02:18 PM - Lukas Pramuk

This brings more light into what is happening here:

2018-03-13T09:27:37  [dynflow] [W] Error on on_execution_plan_save event

 | ActiveRecord::StatementInvalid: PG::UndefinedTable: ERROR:  relation "foreman_tasks_tasks" does not exist

2018-03-13T09:27:37  [dynflow] [W] Error on on_execution_plan_save event

 | ActiveRecord::StatementInvalid: PG::UndefinedTable: ERROR:  relation "foreman_tasks_tasks" does not exist

2018-03-13T09:27:37  [dynflow] [W] Error on on_execution_plan_save event

 | ActiveRecord::StatementInvalid: PG::UndefinedTable: ERROR:  relation "foreman_tasks_tasks" does not exist

2018-03-13T09:27:38  [dynflow] [W] Error on on_execution_plan_save event
 | ActiveRecord::StatementInvalid: PG::UndefinedTable: ERROR:  relation "foreman_tasks_tasks" does not exist

2018-03-13T09:27:39  [app] [E] Error performing CreateRssNotifications (Job ID: 8b2fc001-31f7-4a79-b749-63b6ff

013263) from Dynflow(default) in 1564.41ms: ActiveRecord::StatementInvalid (PG::UndefinedTable: ERROR:  relati

on "settings" does not exist

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:444:in `block in with_err

or_handling'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.37/lib/dynflow/action.rb:444:in `with_error_handli

ng'

2018-03-13T09:27:39  [background] [E] RSS notification checker: Error while creating notifications PG::Undefin

edTable: ERROR:  relation "settings" does not exist

 During installation the CreateRssNotifications task is scheduled too early !

#4 - 05/22/2018 01:39 PM - roman plevka

- Bugzilla link set to 1581311

#5 - 06/01/2018 12:10 PM - Marek Hulán

- Status changed from New to Duplicate

This is most likely a duplicate of #23611, closing. Please reopen if that won't fix the issue.

#6 - 06/01/2018 12:10 PM - Marek Hulán

- Related to Bug #23611: ApplicationJob starts when foreman_tasks does not exist added
